Page MenuHomePhabricator

Difficulty in accessing the Guidelines page of the Space
Closed, ResolvedPublic

Description

Originally reported by José Pita.

Weirdness happens when trying to access the Guidelines page from 2 different locations.

This video is about trying to access the page from https://discuss-space.wmflabs.org/c/events/l/map and then clicking on the Guidelines link in the banner - you just get the loading icon spinning forever.

This video is about trying to reach the page from the https://discuss-space.wmflabs.org/badges/16/read-guidelines badge page and then clicking on the Reading the community guidelines link - the result is just an empty page.

I have been able to replicate in my own Chrome semi-consistently. All the links point to https://discuss-space.wmflabs.org/guidelines from what I see. I can access Guidelines just fine from the main menu in https://discuss-space.wmflabs.org/ FWIW.

Event Timeline

Elitre created this task.Jul 4 2019, 2:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 4 2019, 2:51 PM
Qgil triaged this task as Low priority.Jul 4 2019, 9:06 PM
Qgil edited projects, added Space (Jul-Sep-2019); removed Space.

This is strange, but I can replicate the problem with Chrome and Firefox.

Maybe it has something to do with https://meta.discourse.org/t/custom-header-links-links-reload-discourse/113907 ?

Anyway, probably there is little we can do here other than to report the bug upstream, and see whether we get some ideas there.

Qgil assigned this task to elappen-WMF.Jul 5 2019, 9:47 AM

Heya, I like solving mysteries! Thanks Quim for that link, I do think it could be related.
So, I tested different origins for going to the Guidelines and going from Map and Calendar causes the same problem, when you look in the Chrome console you can see the URL: https://discuss-space.wmflabs.org/c/events/l/guidelines.html?_=1562605876124
so it's trying to find the guidelines within events ...org/c/events/l/guidelines instead of **...org/guidelines.

I would propose that we could try to set either all absolute links or all relative links in the custom header links component and see if the problem still exists.

Qgil moved this task from Backlog to Started on the Space (Jul-Sep-2019) board.Jul 10 2019, 10:03 PM
Qgil added a comment.Jul 11 2019, 7:38 AM

Following the Discourse developers advice we have upgraded to the last version of Discourse and after a casual test this problems seems to be solved. Please verify.

It appears to be resolved to me as well.

Qgil added a comment.EditedJul 12 2019, 9:58 AM

Then feel free to resolve the task. Thank you for reporting upstream!

elappen-WMF closed this task as Resolved.Jul 13 2019, 2:12 AM
Qgil moved this task from Started to Evaluated on the Space (Jul-Sep-2019) board.Jul 15 2019, 1:59 PM